Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.inference.dig.reasoner
Class DIGReasonerIdentity

    java.lang.Object
      edu.stanford.smi.protegex.owl.inference.dig.reasoner.DIGReasonerIdentity

All Implemented Interfaces:
  ReasonerIdentity

    public class DIGReasonerIdentity

extends Object
implements ReasonerIdentity

User: matthewhorridge
The Univeristy Of Manchester
Medical Informatics Group
Date: Jun 4, 2004

matthew.horridge@cs.man.ac.uk
www.cs.man.ac.uk/~horridgm

Constructor Summary
`DIGReasonerIdentity()`

Method Summary
`protected void` | `clear()` Clears all of the information in this inference identity object.
`String` | `getMessage()` Gets the inference message.
`String` | `getName()` Gets the name of the inference.
`Collection` | `getSupportedAskElements()` Gets a `Collection` that holds the supported ask elements.
`Collection` | `getSupportedLanguageElements()` Gets a `Collection` that holds the supported langauge elements.
`Collection` | `getSupportedTellElements()` Gets a `Collection` that holds the supported tell elements.
`String` | `getVersion()` Gets the version of a reaonser.
`void` | `parseIdentityDescrtiption(Document doc)` Parses the DIG identity response and fills this object with the inference identity information
`protected void` | `processDocument(Document doc)`
`boolean` | `supportsAskElement(String constructName)` Determines if the specified ask element is supported by the inference.
`boolean` | `supportsLanguageElement(String constructName)` Determines if the specified language element is supported by the inference.
`boolean` | `supportsTellElemement(String constructName)` Determines if the specified tell element is supported by the inference.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DIGReasonerIdentity

    public DIGReasonerIdentity()

Method Detail

### clear

    protected void clear()

  Clears all of the information in this inference identity object.

### parseIdentityDescrtiption

    public void parseIdentityDescrtiption(Document doc)

  Parses the DIG identity response and fills this object with the inference identity information

### processDocument

    protected void processDocument(Document doc)

### getName

    public String getName()

  Gets the name of the inference.

### getVersion

    public String getVersion()

  Gets the version of a reaonser. The version is a `String` of the form num.num.num e.g. 1.7.12

### getMessage

    public String getMessage()

  Gets the inference message. e.g. "Racer is running on localhost:8080"

### getSupportedLanguageElements

    public Collection getSupportedLanguageElements()

  Gets a `Collection` that holds the supported langauge elements.

  Returns:
    A `Collection` of `Strings` that describe the language elements supported by the inference. These language elements are contained in `DIGVocabulary.Language`

### getSupportedTellElements

    public Collection getSupportedTellElements()

  Gets a `Collection` that holds the supported tell elements.

  Returns:
    A `Collection` of `Strings` that describe the tell elements supported by the inference. These tell elements are contained in `DIGVocabulary.Tell`

### getSupportedAskElements

    public Collection getSupportedAskElements()

  Gets a `Collection` that holds the supported ask elements.

  Returns:
    A `Collection` of `Strings` that describe the ask elements supported by the inference. These ask elements are contained in `DIGVocabulary.Ask`

### supportsLanguageElement

    public boolean supportsLanguageElement(String constructName)

  Determines if the specified language element is supported by the inference.

  Parameters:
    `constructName` - The name of the language element (see `DIGVocabulary.Language`)
  Returns:
    `true` if supported, `false` if not supported.

### supportsTellElemement

    public boolean supportsTellElemement(String constructName)

  Determines if the specified tell element is supported by the inference.

  Parameters:
    `constructName` - The name of the tell element (see `DIGVocabulary.Tell`)
  Returns:
    `true` if supported, `false` if not supported.

### supportsAskElement

    public boolean supportsAskElement(String constructName)

  Determines if the specified ask element is supported by the inference.

  Parameters:
    `constructName` - The name of the ask element (see `DIGVocabulary.Ask`)
  Returns:
    `true` if supported, `false` if not supported.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.